#!/bin/bash

. _source_config_check.sh

trap 'exit 1' ERR

MTFILE=(./bin/orng ./bin/busybox)

for file in ${MTFILE[@]} 
do
    $ADB -s $MTCFG_TEST_USB_NO push $file /data
    $ADB -s $MTCFG_TEST_USB_NO shell chmod 777 /data/$(basename $file)
done

$ADB -s $MTCFG_TEST_USB_NO wait-for-device && sleep 3 && $ADB -s $MTCFG_TEST_USB_NO root
$ADB -s $MTCFG_TEST_USB_NO wait-for-device && sleep 3 && $ADB -s $MTCFG_TEST_USB_NO remount
$ADB -s $MTCFG_TEST_USB_NO wait-for-device

unlock_sc=(./sc/unlock_${MTCFG_DEV_RESOLUTION}.sc)
$ADB -s $MTCFG_TEST_USB_NO push $unlock_sc /data

[ -n "$MTCFG_DEV_HOME_KEY" ] || $ADB -s $MTCFG_TEST_USB_NO shell "echo tap $MTCFG_DEV_HOME_X $MTCFG_DEV_HOME_Y 3 200 > /data/home.sc"

if [ "$MTCFG_TEST_ASSIGN_APP" == "YES" ]
then
    $ADB -s $MTCFG_TEST_USB_NO push ./sc/assign_app_${MTCFG_IMG_BRANCH}.sc /data
    echo "Please drag the assigned application to the left-top corner."
    read -p "If ready, press any key to continue..." -n 1
fi

if [ "$MTCFG_TEST_BAN_SETTINGS" == "YES" ]
then
    $ADB -s $MTCFG_TEST_USB_NO shell rm -r /data/local/webapps/settings.gaiamobile.org
    $ADB -s $MTCFG_TEST_USB_NO remount system && sleep 3 && $ADB -s $MTCFG_TEST_USB_NO wait-for-device
    $ADB -s $MTCFG_TEST_USB_NO shell rm -r /system/b2g/webapps/settings.gaiamobile.org
fi

[ -n "$MTCFG_TEST_CUSTOM_CMD0" ] && $ADB -s $MTCFG_TEST_USB_NO shell "$MTCFG_TEST_CUSTOM_CMD0"
[ -n "$MTCFG_TEST_CUSTOM_CMD1" ] && $ADB -s $MTCFG_TEST_USB_NO shell "$MTCFG_TEST_CUSTOM_CMD1"
[ -n "$MTCFG_TEST_CUSTOM_CMD2" ] && $ADB -s $MTCFG_TEST_USB_NO shell "$MTCFG_TEST_CUSTOM_CMD2"

if [ "$MTCFG_TEST_REFERENCE_WORKLOAD" == "YES" ]
then
    reference-workload/makeReferenceWorkload.sh
    echo waiting for b2g re-start, sleep 60s
    sleep 60
fi

if [ "$MTCFG_TICK_COLLECT_INFO_B2G" == "YES" ]
then
    rm -rf tick_collect_info
fi

# work on 6821, fail on 7715
$ADB -s $MTCFG_TEST_USB_NO shell 'echo 1 > /sys/module/page_alloc/parameters/debug_high_order_alloc'

